Index: /code/branches/core4/src/orxonox/overlays/console/InGameConsole.cc
===================================================================
--- /code/branches/core4/src/orxonox/overlays/console/InGameConsole.cc	(revision 3273)
+++ /code/branches/core4/src/orxonox/overlays/console/InGameConsole.cc	(revision 3274)
@@ -49,5 +49,5 @@
 #include "core/ConsoleCommand.h"
 #include "core/input/InputManager.h"
-#include "core/input/SimpleInputState.h"
+#include "core/input/InputState.h"
 #include "core/input/InputBuffer.h"
 
@@ -158,6 +158,6 @@
             if (bHidesAllInput_)
             {
-                inputState_->setMouseHandler(&InputManager::EMPTY_HANDLER);
-                inputState_->setJoyStickHandler(&InputManager::EMPTY_HANDLER);
+                inputState_->setMouseHandler(&InputHandler::EMPTY);
+                inputState_->setJoyStickHandler(&InputHandler::EMPTY);
             }
             else
@@ -175,5 +175,5 @@
     {
         // create the corresponding input state
-        inputState_ = InputManager::getInstance().createInputState<SimpleInputState>("console", false, false, InputStatePriority::Console);
+        inputState_ = InputManager::getInstance().createInputState("console", false, false, InputStatePriority::Console);
         inputState_->setKeyHandler(Shell::getInstance().getInputBuffer());
         bHidesAllInputChanged();
Index: /code/branches/core4/src/orxonox/overlays/console/InGameConsole.h
===================================================================
--- /code/branches/core4/src/orxonox/overlays/console/InGameConsole.h	(revision 3273)
+++ /code/branches/core4/src/orxonox/overlays/console/InGameConsole.h	(revision 3274)
@@ -101,5 +101,5 @@
 
         // input related
-        SimpleInputState* inputState_;
+        InputState* inputState_;
 
         // config values
